org.apache.uima.analysis_engine.metadata.impl

## Class CapabilityLanguageFlow_impl

- java.lang.Object
- - org.apache.uima.resource.metadata.impl.MetaDataObject_impl
  - - org.apache.uima.analysis_engine.metadata.impl.CapabilityLanguageFlow_impl

- All Implemented Interfaces:
    Serializable, Cloneable, CapabilityLanguageFlow, FlowConstraints, MetaDataObject, XMLizable

      public class CapabilityLanguageFlow_impl
      extends MetaDataObject_impl
      implements CapabilityLanguageFlow

  A `CapabilityLanguageFlow` is a simple type of `FlowConstraints` that specifies the complete flow as a capabilityLanguage sequence.

  Each element in the sequence is specified as a String identifier. In a `CapabilityLanguageFlow` skipping of the included AnalysisEngines is possible if the document language does not map to the capabilities or the output capability was already done by another AnalysisEngine.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `serialContext`

    - ### Fields inherited from interface org.apache.uima.analysis_engine.metadata.CapabilityLanguageFlow

      `FLOW_CONSTRAINTS_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CapabilityLanguageFlow_impl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getCapabilityLanguageFlow()` Returns the flow as an array.
    `String` | `getFlowConstraintsType()` Gets the type of this `FlowConstraints` object.
    `protected XmlizationInfo` | `getXmlizationInfo()` To be implemented by subclasses to return information describing how to represent this object in XML.
    `void` | `remapIDs(Map<String,String> aIDMap)` Remaps the AE identifier Strings used in this FlowConstraints object.
    `void` | `setCapabilityLanguageFlow(String[] aFlow)` Sets the CapabilityLanguageFlow.

    - ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `buildFromXMLElement, buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Constructor Detail

    - #### CapabilityLanguageFlow_impl

          public CapabilityLanguageFlow_impl()

  - ### Method Detail

    - #### getFlowConstraintsType

          public String getFlowConstraintsType()

      Description copied from interface: `CapabilityLanguageFlow`
      Gets the type of this `FlowConstraints` object. Each sub-interface of `FlowConstraints` has its own standard type identifier String. These identifier Strings are used instead of Java class names in order to ease portability of metadata to other languages.
      Specified by:
        `getFlowConstraintsType` in interface `CapabilityLanguageFlow`
      Specified by:
        `getFlowConstraintsType` in interface `FlowConstraints`
      Returns:
        `CapabilityLanguageFlow.FLOW_CONSTRAINTS_TYPE`
      See Also:
        `FlowConstraints.getFlowConstraintsType()`

    - #### getCapabilityLanguageFlow

          public String[] getCapabilityLanguageFlow()

      Description copied from interface: `CapabilityLanguageFlow`
      Returns the flow as an array. Each element of the array is a String that identifies the AnalysisEngine to invoke at that position in the flow.
      Specified by:
        `getCapabilityLanguageFlow` in interface `CapabilityLanguageFlow`
      Returns:
        an array of AE identifiers.
      See Also:
        `CapabilityLanguageFlow.getCapabilityLanguageFlow()`

    - #### setCapabilityLanguageFlow

          public void setCapabilityLanguageFlow(String[] aFlow)

      Description copied from interface: `CapabilityLanguageFlow`
      Sets the CapabilityLanguageFlow.
      Specified by:
        `setCapabilityLanguageFlow` in interface `CapabilityLanguageFlow`
      Parameters:
        `aFlow` - an array of Strings, each of which identifies the AnalysisEngine to invoke at that position in the flow.
      See Also:
        `CapabilityLanguageFlow.setCapabilityLanguageFlow(String[])`

    - #### remapIDs

          public void remapIDs(Map<String,String> aIDMap)

      Description copied from interface: `FlowConstraints`
      Remaps the AE identifier Strings used in this FlowConstraints object. This method is destructive.
      Specified by:
        `remapIDs` in interface `FlowConstraints`
      Parameters:
        `aIDMap` - a Map with String keys (the AE identifiers currently used by this object) and String values (the new IDs). Any identifiers that do not appear in this Map will not be remapped.
      See Also:
        `FlowConstraints.remapIDs(Map)`

    - #### getXmlizationInfo

          protected XmlizationInfo getXmlizationInfo()

      Description copied from class: `MetaDataObject_impl`
      To be implemented by subclasses to return information describing how to represent this object in XML.
      Specified by:
        `getXmlizationInfo` in class `MetaDataObject_impl`
      Returns:
        information defining this object's XML representation

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.